zenilib: zenilib/jni/external/freetype2/src/winfonts/winfnt.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions | Variables
winfnt.c File Reference
`#include <ft2build.h>`
`#include <FT_WINFONTS_H>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_TRUETYPE_IDS_H>`
`#include "winfnt.h"`
`#include "fnterrs.h"`
`#include <FT_SERVICE_WINFNT_H>`
`#include <FT_SERVICE_XFREE86_NAME_H>`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_winfnt
#define | FT_STRUCTURE WinMZ_HeaderRec
#define | FT_STRUCTURE WinNE_HeaderRec
#define | FT_STRUCTURE WinPE32_HeaderRec
#define | FT_STRUCTURE WinPE32_SectionRec
#define | FT_STRUCTURE WinPE_RsrcDirRec
#define | FT_STRUCTURE WinPE_RsrcDirEntryRec
#define | FT_STRUCTURE WinPE_RsrcDataEntryRec
#define | FT_STRUCTURE FT_WinFNT_HeaderRec

## Typedefs

typedef struct FNT_CMapRec_ * | FNT_CMap
typedef struct FNT_CMapRec_ | FNT_CMapRec

## Functions

static FT_UInt | fnt_cmap_char_index (FNT_CMap cmap, FT_UInt32 char_code)
static FT_UInt32 | fnt_cmap_char_next (FNT_CMap cmap, FT_UInt32 *pchar_code)
static FT_Error | fnt_cmap_init (FNT_CMap cmap)
static void | FNT_Face_Done (FT_Face fntface)
static FT_Error | fnt_face_get_dll_font (FNT_Face face, FT_Int face_index)
static FT_Error | FNT_Face_Init (FT_Stream stream, FT_Face fntface, FT_Int face_index, FT_Int num_params, FT_Parameter *params)
static void | fnt_font_done (FNT_Face face)
static FT_Error | fnt_font_load (FNT_Font font, FT_Stream stream)
static FT_Error | FNT_Load_Glyph (FT_GlyphSlot slot, FT_Size size, FT_UInt glyph_index, FT_Int32 load_flags)
static FT_Error | FNT_Size_Request (FT_Size size, FT_Size_Request req)
static FT_Error | FNT_Size_Select (FT_Size size, FT_ULong strike_index)
static FT_Error | winfnt_get_header (FT_Face face, FT_WinFNT_HeaderRec *aheader)
static FT_Module_Interface | winfnt_get_service (FT_Module module, const FT_String *service_id)

## Variables

static FT_CMap_Class const | fnt_cmap_class = &fnt_cmap_class_rec
static const FT_CMap_ClassRec | fnt_cmap_class_rec
FT_CALLBACK_TABLE_DEF const FT_Driver_ClassRec | winfnt_driver_class
static const FT_Frame_Field | winfnt_header_fields []
static const FT_Service_WinFntRec | winfnt_service_rec
static const FT_ServiceDescRec | winfnt_services []
static const FT_Frame_Field | winmz_header_fields []
static const FT_Frame_Field | winne_header_fields []
static const FT_Frame_Field | winpe32_header_fields []
static const FT_Frame_Field | winpe32_section_fields []
static const FT_Frame_Field | winpe_rsrc_data_entry_fields []
static const FT_Frame_Field | winpe_rsrc_dir_entry_fields []
static const FT_Frame_Field | winpe_rsrc_dir_fields []

## Macro Definition Documentation

#define FT_COMPONENT trace_winfnt

Definition at line 40 of file winfnt.c.

#define FT_STRUCTURE WinMZ_HeaderRec

#define FT_STRUCTURE WinNE_HeaderRec

#define FT_STRUCTURE WinPE32_HeaderRec

#define FT_STRUCTURE WinPE32_SectionRec

#define FT_STRUCTURE WinPE_RsrcDirRec

#define FT_STRUCTURE WinPE_RsrcDirEntryRec

#define FT_STRUCTURE WinPE_RsrcDataEntryRec

#define FT_STRUCTURE FT_WinFNT_HeaderRec

## Typedef Documentation

typedef struct FNT_CMapRec_ * FNT_CMap

typedef struct FNT_CMapRec_ FNT_CMapRec

## Function Documentation

static FT_UInt fnt_cmap_char_index | ( | FNT_CMap | cmap,
|  | FT_UInt32 | char_code
| ) |  |

static

Definition at line 608 of file winfnt.c.

static FT_UInt32 fnt_cmap_char_next | ( | FNT_CMap | cmap,
|  | FT_UInt32 * | pchar_code
| ) |  |

static

Definition at line 624 of file winfnt.c.

static FT_Error fnt_cmap_init | ( | FNT_CMap | cmap | ) |

static

Definition at line 594 of file winfnt.c.

References FT_WinFNT_HeaderRec_::first_char, FNT_FaceRec_::font, FT_CMAP_FACE, FNT_FontRec_::header, and FT_WinFNT_HeaderRec_::last_char.

static void FNT_Face_Done | ( | FT_Face | fntface | ) |

static

Definition at line 668 of file winfnt.c.

References FT_FaceRec_::available_sizes, fnt_font_done(), FT_FACE_MEMORY, FT_FREE, and FT_FaceRec_::num_fixed_sizes.

Referenced by FNT_Face_Init().

static FT_Error fnt_face_get_dll_font | ( | FNT_Face | face,
|  | FT_Int | face_index
| ) |  |

static

Definition at line 271 of file winfnt.c.

References WinPE_RsrcDataEntryRec_::code_page, FT_StreamRec_::cursor, error, fnt_font_done(), fnt_font_load(), FNT_FontRec_::fnt_size, FNT_FaceRec_::font, FT_FACE, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_GET_USHORT_LE, FT_NEW, FT_STREAM_POS, FT_STREAM_READ_FIELDS, FT_STREAM_SEEK, FT_TRACE2, i, j, k, FT_StreamRec_::limit, WinPE32_HeaderRec_::machine, WinNE_HeaderRec_::magic, WinPE32_HeaderRec_::magic, WinPE32_HeaderRec_::magic32, WinPE32_SectionRec_::name, WinPE_RsrcDirEntryRec_::name, FT_FaceRec_::num_faces, WinPE_RsrcDirRec_::number_of_id_entries, WinPE_RsrcDirRec_::number_of_named_entries, WinPE32_HeaderRec_::number_of_sections, WinPE_RsrcDirEntryRec_::offset, FNT_FontRec_::offset, WinPE_RsrcDataEntryRec_::offset_to_data, WinPE32_SectionRec_::pointer_to_raw_data, WinNE_HeaderRec_::resource_tab_offset, WinNE_HeaderRec_::rname_tab_offset, FNT_FaceRec_::root, WinPE32_HeaderRec_::rsrc_size, WinPE32_HeaderRec_::rsrc_virtual_address, WinPE_RsrcDataEntryRec_::size, FT_StreamRec_::size, WinPE32_HeaderRec_::size_of_optional_header, WinPE32_SectionRec_::size_of_raw_data, WinPE32_SectionRec_::virtual_address, WINFNT_MZ_MAGIC, WINFNT_NE_MAGIC, and WINFNT_PE_MAGIC.

Referenced by FNT_Face_Init().

static FT_Error FNT_Face_Init | ( | FT_Stream | stream,
|  | FT_Face | fntface,
|  | FT_Int | face_index,
|  | FT_Int | num_params,
|  | FT_Parameter * | params
| ) |  |

static

Definition at line 687 of file winfnt.c.

References FT_FaceRec_::available_sizes, FT_WinFNT_HeaderRec_::avg_width, FT_FaceRec_::charmap, FT_FaceRec_::charmaps, FT_WinFNT_HeaderRec_::charset, FT_CharMapRec_::encoding, FT_CharMapRec_::encoding_id, error, FT_WinFNT_HeaderRec_::external_leading, FT_CharMapRec_::face, FT_FaceRec_::face_flags, FT_FaceRec_::face_index, FT_WinFNT_HeaderRec_::face_name_offset, FNT_FontRec_::family_name, FT_FaceRec_::family_name, FT_WinFNT_HeaderRec_::file_size, FT_WinFNT_HeaderRec_::first_char, FNT_Face_Done(), fnt_face_get_dll_font(), fnt_font_load(), FNT_FontRec_::fnt_frame, FNT_FontRec_::fnt_size, FNT_FaceRec_::font, FT_ALLOC, FT_CMap_New(), FT_FACE, FT_FACE_FLAG_FIXED_SIZES, FT_FACE_FLAG_FIXED_WIDTH, FT_FACE_FLAG_HORIZONTAL, FT_FACE_MEMORY, FT_MEM_COPY, FT_MulDiv(), FT_NEW, FT_NEW_ARRAY, FT_PIX_ROUND, FT_REALLOC, ft_strlen, FT_STYLE_FLAG_BOLD, FT_STYLE_FLAG_ITALIC, FT_TRACE2, FT_UNUSED, FT_WinFNT_ID_MAC, FNT_FontRec_::header, FT_Bitmap_Size_::height, FT_WinFNT_HeaderRec_::horizontal_resolution, FT_WinFNT_HeaderRec_::italic, FT_WinFNT_HeaderRec_::last_char, FT_WinFNT_HeaderRec_::max_width, FT_WinFNT_HeaderRec_::nominal_point_size, NULL, FT_FaceRec_::num_charmaps, FT_FaceRec_::num_faces, FT_FaceRec_::num_fixed_sizes, FT_FaceRec_::num_glyphs, FNT_FontRec_::offset, FT_WinFNT_HeaderRec_::pixel_height, FT_CharMapRec_::platform_id, FT_Bitmap_Size_::size, FT_StreamRec_::size, FT_FaceRec_::style_flags, FT_FaceRec_::style_name, TT_APPLE_ID_DEFAULT, TT_PLATFORM_APPLE_UNICODE, TT_PLATFORM_MACINTOSH, FT_WinFNT_HeaderRec_::vertical_resolution, FT_WinFNT_HeaderRec_::weight, FT_Bitmap_Size_::width, FT_Bitmap_Size_::x_ppem, and FT_Bitmap_Size_::y_ppem.

static void fnt_font_done | ( | FNT_Face | face | ) |

static

Definition at line 189 of file winfnt.c.

References FNT_FontRec_::family_name, FNT_FontRec_::fnt_frame, FNT_FaceRec_::font, FT_FACE, FT_FRAME_RELEASE, and FT_FREE.

Referenced by FNT_Face_Done(), and fnt_face_get_dll_font().

static FT_Error fnt_font_load | ( | FNT_Font | font,
|  | FT_Stream | stream
| ) |  |

static

Definition at line 209 of file winfnt.c.

References FT_WinFNT_HeaderRec_::A_space, FT_WinFNT_HeaderRec_::B_space, FT_WinFNT_HeaderRec_::C_space, FT_WinFNT_HeaderRec_::color_table_offset, error, FT_WinFNT_HeaderRec_::file_size, FT_WinFNT_HeaderRec_::file_type, FT_WinFNT_HeaderRec_::flags, FNT_FontRec_::fnt_frame, FT_Bool, FT_BOOL, FT_FRAME_EXTRACT, FT_STREAM_READ_FIELDS, FT_STREAM_SEEK, FT_TRACE2, FNT_FontRec_::header, header(), FNT_FontRec_::offset, and FT_WinFNT_HeaderRec_::version.

Referenced by fnt_face_get_dll_font(), and FNT_Face_Init().

static FT_Error FNT_Load_Glyph | ( | FT_GlyphSlot | slot,
|  | FT_Size | size,
|  | FT_UInt | glyph_index,
|  | FT_Int32 | load_flags
| ) |  |

static

Definition at line 955 of file winfnt.c.

References FT_WinFNT_HeaderRec_::ascent, FT_GlyphSlotRec_::bitmap, FT_GlyphSlotRec_::bitmap_left, FT_GlyphSlotRec_::bitmap_top, FT_Bitmap_::buffer, FT_WinFNT_HeaderRec_::default_char, error, FT_GlyphSlotRec_::face, FT_WinFNT_HeaderRec_::file_size, FT_Slot_InternalRec_::flags, FNT_FontRec_::fnt_frame, FNT_FaceRec_::font, for(), FT_GlyphSlotRec_::format, FT_ALLOC_MULT, FT_Bool, FT_BOOL, FT_FACE, FT_FACE_MEMORY, FT_GLYPH_OWN_BITMAP, FT_NEXT_SHORT_LE, FT_NEXT_ULONG_LE, FT_NEXT_USHORT_LE, FT_PIXEL_MODE_MONO, FT_SIZE_FACE, ft_synthesize_vertical_metrics(), FT_TRACE2, FT_UNUSED, FNT_FontRec_::header, FT_GlyphSlotRec_::internal, FT_GlyphSlotRec_::metrics, FT_Bitmap_::pitch, FT_WinFNT_HeaderRec_::pixel_height, FT_Bitmap_::pixel_mode, FT_Bitmap_::rows, FT_WinFNT_HeaderRec_::version, and FT_Bitmap_::width.

static FT_Error FNT_Size_Request | ( | FT_Size | size,
|  | FT_Size_Request | req
| ) |  |

static

Definition at line 917 of file winfnt.c.

References FT_FaceRec_::available_sizes, error, FT_SizeRec_::face, FNT_Size_Select(), FNT_FaceRec_::font, FT_REQUEST_HEIGHT, FT_SIZE_REQUEST_TYPE_NOMINAL, FT_SIZE_REQUEST_TYPE_REAL_DIM, FNT_FontRec_::header, header(), and FT_Size_RequestRec_::type.

static FT_Error FNT_Size_Select | ( | FT_Size | size,
|  | FT_ULong | strike_index
| ) |  |

static

Definition at line 896 of file winfnt.c.

References FT_Size_Metrics_::ascender, FT_Size_Metrics_::descender, FT_SizeRec_::face, FNT_FaceRec_::font, FT_Select_Metrics(), FT_UNUSED, FNT_FontRec_::header, header(), FT_Size_Metrics_::max_advance, and FT_SizeRec_::metrics.

Referenced by FNT_Size_Request().

static FT_Error winfnt_get_header | ( | FT_Face | face,
|  | FT_WinFNT_HeaderRec * | aheader
| ) |  |

static

Definition at line 1072 of file winfnt.c.

References FNT_FontRec_::header.

static FT_Module_Interface winfnt_get_service | ( | FT_Module | module,
|  | const FT_String * | service_id
| ) |  |

static

Definition at line 1103 of file winfnt.c.

References ft_service_list_lookup(), and FT_UNUSED.

## Variable Documentation

FT_CMap_Class const fnt_cmap_class = &fnt_cmap_class_rec

static

Definition at line 664 of file winfnt.c.

const FT_CMap_ClassRec fnt_cmap_class_rec

static

Initial value:
=
{
sizeof ( FNT_CMapRec ),
(FT_CMap_InitFunc) fnt_cmap_init,
(FT_CMap_DoneFunc) NULL,
(FT_CMap_CharIndexFunc)fnt_cmap_char_index,
(FT_CMap_CharNextFunc) fnt_cmap_char_next,
NULL, NULL, NULL, NULL, NULL
}
FNT_CMapRec
struct FNT_CMapRec_ FNT_CMapRec
NULL
#define NULL
Definition: ftobjs.h:61
FT_CMap_CharIndexFunc
FT_UInt(* FT_CMap_CharIndexFunc)(FT_CMap cmap, FT_UInt32 char_code)
Definition: ftobjs.h:157
FT_CMap_CharNextFunc
FT_UInt(* FT_CMap_CharNextFunc)(FT_CMap cmap, FT_UInt32 *achar_code)
Definition: ftobjs.h:161
FT_CMap_DoneFunc
void(* FT_CMap_DoneFunc)(FT_CMap cmap)
Definition: ftobjs.h:154
fnt_cmap_init
static FT_Error fnt_cmap_init(FNT_CMap cmap)
Definition: winfnt.c:594
fnt_cmap_char_next
static FT_UInt32 fnt_cmap_char_next(FNT_CMap cmap, FT_UInt32 *pchar_code)
Definition: winfnt.c:624
fnt_cmap_char_index
static FT_UInt fnt_cmap_char_index(FNT_CMap cmap, FT_UInt32 char_code)
Definition: winfnt.c:608
FT_CMap_InitFunc
FT_Error(* FT_CMap_InitFunc)(FT_CMap cmap, FT_Pointer init_data)
Definition: ftobjs.h:150

Definition at line 652 of file winfnt.c.

FT_CALLBACK_TABLE_DEF const FT_Driver_ClassRec winfnt_driver_class

Definition at line 1115 of file winfnt.c.

const FT_Frame_Field winfnt_header_fields[]

static

Definition at line 142 of file winfnt.c.

const FT_Service_WinFntRec winfnt_service_rec

static

Initial value:
=
{
winfnt_get_header
}
winfnt_get_header
static FT_Error winfnt_get_header(FT_Face face, FT_WinFNT_HeaderRec *aheader)
Definition: winfnt.c:1072

Definition at line 1084 of file winfnt.c.

const FT_ServiceDescRec winfnt_services[]

static

Initial value:
=
{
{ FT_SERVICE_ID_XF86_NAME, FT_XF86_FORMAT_WINFNT },
{ FT_SERVICE_ID_WINFNT, &winfnt_service_rec },
{ NULL, NULL }
}
FT_SERVICE_ID_WINFNT
#define FT_SERVICE_ID_WINFNT
Definition: svwinfnt.h:29
NULL
#define NULL
Definition: ftobjs.h:61
FT_XF86_FORMAT_WINFNT
#define FT_XF86_FORMAT_WINFNT
Definition: svxf86nm.h:44
FT_SERVICE_ID_XF86_NAME
#define FT_SERVICE_ID_XF86_NAME
Definition: svxf86nm.h:34
winfnt_service_rec
static const FT_Service_WinFntRec winfnt_service_rec
Definition: winfnt.c:1084

Definition at line 1094 of file winfnt.c.

const FT_Frame_Field winmz_header_fields[]

static

Initial value:
=
{
#define FT_STRUCTURE
FT_FRAME_START( 64 ),
FT_FRAME_USHORT_LE ( magic ),
FT_FRAME_SKIP_BYTES( 29 * 2 ),
FT_FRAME_ULONG_LE ( lfanew ),
FT_FRAME_END
}
FT_FRAME_ULONG_LE
#define FT_FRAME_ULONG_LE(f)
Definition: ftstream.h:130
FT_FRAME_SKIP_BYTES
#define FT_FRAME_SKIP_BYTES(count)
Definition: ftstream.h:147
FT_FRAME_END
#define FT_FRAME_END
Definition: ftstream.h:118
FT_FRAME_USHORT_LE
#define FT_FRAME_USHORT_LE(f)
Definition: ftstream.h:132
FT_FRAME_START
#define FT_FRAME_START(size)
Definition: ftstream.h:117

Definition at line 43 of file winfnt.c.

const FT_Frame_Field winne_header_fields[]

static

Initial value:
=
{
#define FT_STRUCTURE
FT_FRAME_START( 40 ),
FT_FRAME_USHORT_LE ( magic ),
FT_FRAME_SKIP_BYTES( 34 ),
FT_FRAME_USHORT_LE ( resource_tab_offset ),
FT_FRAME_USHORT_LE ( rname_tab_offset ),
FT_FRAME_END
}
FT_FRAME_SKIP_BYTES
#define FT_FRAME_SKIP_BYTES(count)
Definition: ftstream.h:147
FT_FRAME_END
#define FT_FRAME_END
Definition: ftstream.h:118
FT_FRAME_USHORT_LE
#define FT_FRAME_USHORT_LE(f)
Definition: ftstream.h:132
FT_FRAME_START
#define FT_FRAME_START(size)
Definition: ftstream.h:117

Definition at line 55 of file winfnt.c.

const FT_Frame_Field winpe32_header_fields[]

static

Initial value:
=
{
#define FT_STRUCTURE
FT_FRAME_START( 248 ),
FT_FRAME_ULONG_LE ( magic ),
FT_FRAME_USHORT_LE ( machine ),
FT_FRAME_USHORT_LE ( number_of_sections ),
FT_FRAME_SKIP_BYTES( 12 ),
FT_FRAME_USHORT_LE ( size_of_optional_header ),
FT_FRAME_SKIP_BYTES( 2 ),
FT_FRAME_USHORT_LE ( magic32 ),
FT_FRAME_SKIP_BYTES( 110 ),
FT_FRAME_ULONG_LE ( rsrc_virtual_address ),
FT_FRAME_ULONG_LE ( rsrc_size ),
FT_FRAME_SKIP_BYTES( 104 ),
FT_FRAME_END
}
FT_FRAME_ULONG_LE
#define FT_FRAME_ULONG_LE(f)
Definition: ftstream.h:130
FT_FRAME_SKIP_BYTES
#define FT_FRAME_SKIP_BYTES(count)
Definition: ftstream.h:147
FT_FRAME_END
#define FT_FRAME_END
Definition: ftstream.h:118
FT_FRAME_USHORT_LE
#define FT_FRAME_USHORT_LE(f)
Definition: ftstream.h:132
FT_FRAME_START
#define FT_FRAME_START(size)
Definition: ftstream.h:117

Definition at line 68 of file winfnt.c.

const FT_Frame_Field winpe32_section_fields[]

static

Initial value:
=
{
#define FT_STRUCTURE
FT_FRAME_START( 40 ),
FT_FRAME_BYTES ( name, 8 ),
FT_FRAME_SKIP_BYTES( 4 ),
FT_FRAME_ULONG_LE ( virtual_address ),
FT_FRAME_ULONG_LE ( size_of_raw_data ),
FT_FRAME_ULONG_LE ( pointer_to_raw_data ),
FT_FRAME_SKIP_BYTES( 16 ),
FT_FRAME_END
}
name
EGLImageKHR EGLint * name
Definition: eglext.h:284
FT_FRAME_BYTES
#define FT_FRAME_BYTES(field, count)
Definition: ftstream.h:140
FT_FRAME_ULONG_LE
#define FT_FRAME_ULONG_LE(f)
Definition: ftstream.h:130
FT_FRAME_SKIP_BYTES
#define FT_FRAME_SKIP_BYTES(count)
Definition: ftstream.h:147
FT_FRAME_END
#define FT_FRAME_END
Definition: ftstream.h:118
FT_FRAME_START
#define FT_FRAME_START(size)
Definition: ftstream.h:117

Definition at line 88 of file winfnt.c.

const FT_Frame_Field winpe_rsrc_data_entry_fields[]

static

Initial value:
=
{
#define FT_STRUCTURE
FT_FRAME_START( 16 ),
FT_FRAME_ULONG_LE( offset_to_data ),
FT_FRAME_ULONG_LE( size ),
FT_FRAME_ULONG_LE( code_page ),
FT_FRAME_ULONG_LE( reserved ),
FT_FRAME_END
}
FT_FRAME_ULONG_LE
#define FT_FRAME_ULONG_LE(f)
Definition: ftstream.h:130
FT_FRAME_END
#define FT_FRAME_END
Definition: ftstream.h:118
FT_FRAME_START
#define FT_FRAME_START(size)
Definition: ftstream.h:117
size
GLsizei size
Definition: gl2ext.h:1467

Definition at line 129 of file winfnt.c.

const FT_Frame_Field winpe_rsrc_dir_entry_fields[]

static

Initial value:
=
{
#define FT_STRUCTURE
FT_FRAME_START( 8 ),
FT_FRAME_ULONG_LE( name ),
FT_FRAME_ULONG_LE( offset ),
FT_FRAME_END
}
name
EGLImageKHR EGLint * name
Definition: eglext.h:284
FT_FRAME_ULONG_LE
#define FT_FRAME_ULONG_LE(f)
Definition: ftstream.h:130
FT_FRAME_END
#define FT_FRAME_END
Definition: ftstream.h:118
offset
GLintptr offset
Definition: glew.h:1668
FT_FRAME_START
#define FT_FRAME_START(size)
Definition: ftstream.h:117

Definition at line 118 of file winfnt.c.

const FT_Frame_Field winpe_rsrc_dir_fields[]

static

Initial value:
=
{
#define FT_STRUCTURE
FT_FRAME_START( 16 ),
FT_FRAME_ULONG_LE ( characteristics ),
FT_FRAME_ULONG_LE ( time_date_stamp ),
FT_FRAME_USHORT_LE( major_version ),
FT_FRAME_USHORT_LE( minor_version ),
FT_FRAME_USHORT_LE( number_of_named_entries ),
FT_FRAME_USHORT_LE( number_of_id_entries ),
FT_FRAME_END
}
FT_FRAME_ULONG_LE
#define FT_FRAME_ULONG_LE(f)
Definition: ftstream.h:130
FT_FRAME_END
#define FT_FRAME_END
Definition: ftstream.h:118
FT_FRAME_USHORT_LE
#define FT_FRAME_USHORT_LE(f)
Definition: ftstream.h:132
FT_FRAME_START
#define FT_FRAME_START(size)
Definition: ftstream.h:117

Definition at line 103 of file winfnt.c.